The Alternative Csound Reference Manual
Previous |  | Next

# q Statement

q statement -- This statement may be used to quiet an instrument.

## Description

This statement may be used to quiet an instrument.

## Syntax

q p1 p2 p3

## Performance

p1 -- Instrument number to mute/unmute.

p2 -- Action time of function generation (or destruction) in beats.

p3 -- determines whether the instrument is muted/unmuted. The value of 0 means the instrument is muted, other values mean it is unmuted.

Note that this does not affect instruments that are already running at time p2. It blocks any attempt to start one afterwards.

Previous | Home | Next
n Statement | Up | r Statement (Repeat Statement)